
from wtforms import Form, StringField, PasswordField
from wtforms.validators import DataRequired, Length, EqualTo

def create_login_form():
    class LoginForm(Form):
        username = StringField('Username', validators=[DataRequired()])
        password = PasswordField('Password', validators=[
            DataRequired(),
            Length(min=6, max=25),
            EqualTo('confirm_password', message='Passwords must match')
        ])
        confirm_password = PasswordField('Confirm Password')

    return LoginForm



